import BaseDownloader, { DownloadOptions, DownloadStreamResult, DownloadThumpOptions, DownloadUrlOptions } from "@newSdk/factory/downloader/BaseDownloader";
import { FileInfo } from "@newSdk/service/api/s3Client/getObject";
import OSS from "ali-oss";
export default class AliyunDownloader extends BaseDownloader {
    private client;
    getClient(): Promise<OSS>;
    download({ key, thumbInfo, handler }: DownloadOptions): Promise<any>;
    downloadThump(options: DownloadThumpOptions): Promise<any>;
    downloadUrl({ key, thumbInfo }: DownloadUrlOptions): Promise<any>;
    headObject(key: FileInfo): Promise<any>;
    getObjectSize(key: FileInfo): Promise<number>;
    downloadStream({ key, thumbInfo, handler, }: DownloadOptions): Promise<DownloadStreamResult>;
    getObjectKey(key: FileInfo): string;
}
